struct dhcp_requesthdr
{
	u_int8_t op, htype, hlen, hops;
	u_int32_t xid;
	u_int8_t secs[2];
	u_int8_t flags[2];
	u_int8_t ciaddr[4];
	u_int8_t yiaddr[4];
	u_int8_t siaddr[4];
	u_int8_t giaddr[4];
	u_int8_t chaddr[16];
	u_int8_t sname[64];
	u_int8_t file[128];
	u_int8_t magic[4];
};

#define DHCP_MAGIC 0x63825363

#define OP_BOOTREQUEST 1
#define OP_BOOTREPLY 2
#define MIN_DHCP_REQUEST (sizeof(struct dhcp_requesthdr))
#define DHCP_OPTION_TYPE 53
#define DHCP_OPTION_SUBNETMASK 1
#define DHCP_OPTION_TIMEOFFSET 2
#define DHCP_OPTION_ROUTERS 3
#define DHCP_OPTION_TIMESERVERS 4
#define DHCP_OPTION_DNSSERVERS 6
#define DHCP_OPTION_LOGSERVERS 7
#define DHCP_OPTION_HOSTNAME 12
#define DHCP_OPTION_DOMAINNAME 15
#define DHCP_OPTION_TFTPSERVERNAME 66
#define DHCP_OPTION_ARPTIMEOUT 35
#define DHCP_OPTION_LEASETIME 51
#define DHCP_OPTION_SERVERID 54
#define DHCP_OPTION_REQUESTEDADDR 50
#define DHCP_OPTION_END 255


#define DHCP_DHCPDISCOVER 1
#define DHCP_DHCPOFFER 2
#define DHCP_DHCPREQUEST 3
#define DHCP_DHCPDECLINE 4
#define DHCP_DHCPACK 5
#define DHCP_DHCPNAK 6
#define DHCP_DHCPRELEASE 7


#define DHCP_MAGIC_SERVERID 0xbadcafe0

struct dhcp_config
{
        int syslog;
        int detach;
        int timeout;
        int dgramsock;
        struct sockaddr_in sin;
        char *command;
        struct sockaddr_in addr;
        int account;
        int nth;
        
};

void do_log(int priority, char * format, ...);
void dhcp_handle(struct dhcp_requesthdr *r, struct sockaddr_in peer, int length, int sending, struct dhcp_config * cfg, int ifi, struct in_addr local);
#define PACKETSIZE 2048
#define MAXLOG_SIZE 1024
#define FILENAME_SIZE 256
#define SUBST_SIZE 1024

